Cancel Reservation

The Cancel Reservation endpoint allows your application to void a reservation that has been placed but not yet captured or charged. In other words, you may cancel a reservation only while the amount is still reserved — once a portion or the entirety of the amount has been captured or charged, cancellation is no longer allowed.

Use this endpoint when:

You will find the endpoint path, expected inputs, validation rules, and example responses below.

Endpoint

GET https://demo-api.frontpayment.no/api/v1/connect/reservations/cancel/{{RESERVATION_UUID}}

Authorization

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Request Payload

Send the following parameters as a JSON object in the request body:

{
    "note": "Your cancellation Note here"
}

Validation Rules

Make sure your request meets the following requirements:

Field Type Description
note string Required Reservation cancellation note.

Response

A successful request will return a 202 status with the following JSON payload:

{
    "status_code": 202,
    "status_message": "OK",
    "message": "cancelledOrderSuccessfully",
    "is_data": false,
    "data": null
}

API returns a 404 error, it means requested order with RESERVATION_UUID could not be found in our system.

{
    "status_code": 404,
    "status_message": "Not Found",
    "message": "orderNotFound",
    "is_error": false,
    "errors": null
}

API returns a 417 error, it means requested payload is not valid.

{
    "status_code": 417,
    "status_message": "Client Error",
    "message": "payloadValidationErrors",
    "is_error": true,
    "errors": "Array"
}

API return a 400 error, it means your requested reservation is already COMPLETED or CANCELLED.

{
    "status_code": 400,
    "status_message": "Conflict of Business Logic",
    "message": "reservationStatusAlreadyCompleted",
    "is_error": false,
    "errors": null
}

Reservation status is already EXPIRED and NOT IN SENT or RESERVED NOT PAID

{
    "status_code": 400,
    "status_message": "Conflict of Business Logic",
    "message": "prerequisiteFailedToCancelReservation",
    "is_error": false,
    "errors": null
}

API returns a 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "Something Went Wrong",
    "is_error": true,
    "errors": "Array"
}

Revision #8
Created 3 January 2024 01:26:28 by Admin
Updated 1 October 2025 09:49:22 by Nayamot Ullah